Bug 1276880 (python-mne) - Review Request: python-mne - Magnetoencephalography (MEG) and Electroencephalography (EEG) data analysis
Summary: Review Request: python-mne - Magnetoencephalography (MEG) and Electroencephal...
Keywords:
Status: CLOSED ERRATA
Alias: python-mne
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: python-h5io python-jdcal
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2015-10-31 20:33 UTC by Igor Gnatenko
Modified: 2015-12-28 22:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-28 22:58:24 UTC
jujens: fedora-review+


Attachments (Terms of Use)
Correct the non-executable-scripts (690 bytes, patch)
2015-11-12 19:43 UTC, Julien Enselme
no flags Details | Diff

Description Igor Gnatenko 2015-10-31 20:33:33 UTC
Spec URL: http://copr-dist-git.fedorainfracloud.org/cgit/ignatenkobrain/neurofedora/python-mne.git/plain/python-mne.spec?id=5b85210872017b3d0fc0fe91384dd52fbedec168
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/ignatenkobrain/neurofedora/fedora-rawhide-x86_64/00131714-python-mne/python-mne-0.10-1.fc24.src.rpm
Description:
This package is designed for sensor- and source-space analysis of M-EEG data,
including frequency-domain and time-frequency analyses and non-parametric
statistics.
Fedora Account System Username: ignatenkobrain

Comment 1 Julien Enselme 2015-11-08 17:17:37 UTC
Hi,

Before doing the review, I have some remarks.

- The default executable should now be in the python3 subpackage. See https://fedoraproject.org/wiki/Packaging:Python#Executables_in_.2Fusr.2Fbin

- Using %{py3dir} is deprecated. Please use the new method to build python2 and python3 in a separate dir: https://fedoraproject.org/wiki/Packaging:Python_Appendix#Using_separate_build_directories

- Please remove bundled lib in mne/externals (you can assign me to the unpackaged ones and I will review them):
  - Already packaged: tempita, six, decorator
  - Not packaged yet: h5io (https://github.com/h5io/h5io), jdcal (https://pypi.python.org/pypi/jdcal/1.0), FieldTrip (if you manage to find it, otherwise I think we can safely ignore this. I guess that this is linked to http://www.fieldtriptoolbox.org/development/integrate_with_mne but I was not able to find a directly accessible tarball).

Comment 2 Igor Gnatenko 2015-11-08 17:27:04 UTC
> - The default executable should now be in the python3 subpackage. See https://fedoraproject.org/wiki/Packaging:Python#Executables_in_.2Fusr.2Fbin

Oh, I missed this. Will fix.

> - Using %{py3dir} is deprecated. Please use the new method to build python2 and python3 in a separate dir: https://fedoraproject.org/wiki/Packaging:Python_Appendix#Using_separate_build_directories

Hm, I don't think that there are problems with this, because no one goes to remove %{py3dir} macro, but I will fix ASAP.

> - Please remove bundled lib in mne/externals (you can assign me to the unpackaged ones and I will review them):

> h5io
Will package it in few hours.

> jdcal
Will package it in few hours.

> FieldTrip
I can't find upstream for this. I mean python lib for this (original is for matlab/octave)

Comment 3 Julien Enselme 2015-11-08 17:39:58 UTC
> Hm, I don't think that there are problems with this, because no one goes to remove %{py3dir} macro, but I will fix ASAP.

I don't think this either, I wouldn't have blocked the review for that.

>> FieldTrip
> I can't find upstream for this. I mean python lib for this (original is for matlab/octave)

Neither can I. You can leave it in place then.

Comment 4 Igor Gnatenko 2015-11-08 17:43:08 UTC
h5io --> https://bugzilla.redhat.com/show_bug.cgi?id=1279223

Comment 5 Igor Gnatenko 2015-11-08 17:56:51 UTC
jdcal --> https://bugzilla.redhat.com/show_bug.cgi?id=1279225

Comment 6 Julien Enselme 2015-11-08 18:44:52 UTC
I think the summary of the package should be more informative. What about changing it to 'Magnetoencephalography (MEG) and Electroencephalography (EEG) data analysis'?

Comment 7 Igor Gnatenko 2015-11-08 20:07:32 UTC
New SPEC: https://ignatenkobrain.fedorapeople.org/neurofedora/python-mne.spec
New SRPM: https://ignatenkobrain.fedorapeople.org/neurofedora/python-mne-0.10-2.fc24.src.rpm

- /usr/bin/mne uses python3
- fix dependencies around Traits (add py3 version)
- unbundle jdcal/six/decorator/tempita/h5io
- add Provides: bundled(pythonX-FieldTrip)
- More better Summary


all bundled libs fixed by 'sed', because upstream heavy uses it and patch isn't effective.

Comment 8 Igor Gnatenko 2015-11-08 20:45:14 UTC
sorry, sources haven't been uploaded correctly (src.rpm).

scp: /home/fedora/ignatenkobrain/public_html/neurofedora//python-mne-0.10-2.fc24.src.rpm: Disk quota exceeded


I fixed storage size and restarted it and it will upload sources correctly in 15-20 mins.

Comment 9 Igor Gnatenko 2015-11-09 06:11:14 UTC
New SRPM: https://ignatenkobrain.fedorapeople.org/neurofedora/python-mne-0.10-3.fc24.src.rpm
New SPEC: https://ignatenkobrain.fedorapeople.org/neurofedora/python-mne.spec

- Fix unbundling jdcal

now I have the same results as before unbundling.

Julian, please review =)

Comment 10 Igor Gnatenko 2015-11-09 17:24:00 UTC
Julien, sorry for typo =)

Comment 11 Julien Enselme 2015-11-10 21:37:33 UTC
Almost good:

- Please fix the non-executable-script issues before I approve the package.
- The documentation is quite huge because of the examples. I suggest that you create a doc package anyway. Furthermore if a user install both the python2 and python3 version, he/she won't have the examples twice. Not blocking.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 1562 files have
     unknown license. Detailed output of licensecheck in /tmp/1276880
     -python-mne/licensecheck.txt
[X]: License file installed when any subpackage combination is installed.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 819200 bytes in 260 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-mne , python3-mne
[?]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[X]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-mne-0.10-3.fc24.noarch.rpm
          python3-mne-0.10-3.fc24.noarch.rpm
          python-mne-0.10-3.fc24.src.rpm
python2-mne.noarch: E: explicit-lib-dependency python-matplotlib
python2-mne.noarch: W: spelling-error Summary(en_US) Magnetoencephalography -> Electroencephalography, Electroencephalograph, Electroencephalogram
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_make_scalp_surfaces.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/stats/cluster_level.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_kit2fiff.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_compute_proj_eog.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_clean_eog_ecg.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_freeview_bem_surfaces.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_report.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_compute_proj_ecg.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_bti2fiff.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_surf2bem.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_watershed_bem.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_compare_fiff.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_maxfilter.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_flash_bem_model.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_browse_raw.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_coreg.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_flash_bem.py 644 /usr/bin/env
python2-mne.noarch: W: no-manual-page-for-binary python2-mne
python2-mne.noarch: W: no-manual-page-for-binary mne-2
python2-mne.noarch: W: no-manual-page-for-binary mne-2.7
python3-mne.noarch: E: explicit-lib-dependency python3-matplotlib
python3-mne.noarch: W: spelling-error Summary(en_US) Magnetoencephalography -> Electroencephalography, Electroencephalograph, Electroencephalogram
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_make_scalp_surfaces.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_bti2fiff.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_browse_raw.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_watershed_bem.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_flash_bem.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_kit2fiff.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_compute_proj_ecg.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_compare_fiff.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_flash_bem_model.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_compute_proj_eog.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_coreg.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_maxfilter.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/stats/cluster_level.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_freeview_bem_surfaces.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_surf2bem.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_report.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_clean_eog_ecg.py 644 /usr/bin/env
python3-mne.noarch: W: no-manual-page-for-binary mne-3.4
python3-mne.noarch: W: no-manual-page-for-binary mne-3
python3-mne.noarch: W: no-manual-page-for-binary python3-mne
python3-mne.noarch: W: no-manual-page-for-binary mne
python-mne.src: W: spelling-error Summary(en_US) Magnetoencephalography -> Electroencephalography, Electroencephalograph, Electroencephalogram
python-mne.src:26: W: unversioned-explicit-provides bundled(bootstrap)
python-mne.src:27: W: unversioned-explicit-provides bundled(js-jquery)
python-mne.src:28: W: unversioned-explicit-provides bundled(js-jquery-ui)
python-mne.src:29: W: unversioned-explicit-provides bundled(js-d3)
python-mne.src:30: W: unversioned-explicit-provides bundled(js-mpld3)
python-mne.src:31: W: unversioned-explicit-provides bundled(python2-FieldTrip)
python-mne.src:64: W: unversioned-explicit-provides bundled(bootstrap)
python-mne.src:65: W: unversioned-explicit-provides bundled(js-jquery)
python-mne.src:66: W: unversioned-explicit-provides bundled(js-jquery-ui)
python-mne.src:67: W: unversioned-explicit-provides bundled(js-d3)
python-mne.src:68: W: unversioned-explicit-provides bundled(js-mpld3)
python-mne.src:69: W: unversioned-explicit-provides bundled(python3-FieldTrip)
python-mne.src:133: W: macro-in-comment %{SOURCE1}
3 packages and 0 specfiles checked; 36 errors, 23 warnings.




Rpmlint (installed packages)
----------------------------
python2-mne.noarch: E: explicit-lib-dependency python-matplotlib
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_coreg.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_compute_proj_ecg.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_kit2fiff.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_browse_raw.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_bti2fiff.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_watershed_bem.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_compare_fiff.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_report.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/stats/cluster_level.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_maxfilter.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_flash_bem.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_surf2bem.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_flash_bem_model.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_freeview_bem_surfaces.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_clean_eog_ecg.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_compute_proj_eog.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_make_scalp_surfaces.py 644 /usr/bin/env
python2-mne.noarch: W: no-manual-page-for-binary mne-2
python2-mne.noarch: W: no-manual-page-for-binary python2-mne
python2-mne.noarch: W: no-manual-page-for-binary mne-2.7
python3-mne.noarch: E: explicit-lib-dependency python3-matplotlib
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_make_scalp_surfaces.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_freeview_bem_surfaces.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_maxfilter.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_compute_proj_ecg.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_clean_eog_ecg.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_surf2bem.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_bti2fiff.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_browse_raw.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_coreg.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_compare_fiff.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_flash_bem.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_watershed_bem.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/stats/cluster_level.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_compute_proj_eog.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_report.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_flash_bem_model.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_kit2fiff.py 644 /usr/bin/env
python3-mne.noarch: W: no-manual-page-for-binary mne
python3-mne.noarch: W: no-manual-page-for-binary mne-3.4
python3-mne.noarch: W: no-manual-page-for-binary python3-mne
python3-mne.noarch: W: no-manual-page-for-binary mne-3
2 packages and 0 specfiles checked; 36 errors, 7 warnings.



Requires
--------
python2-mne (rpmlib, GLIBC filtered):
    /usr/bin/python3
    numpy
    python(abi)
    python-decorator
    python-matplotlib
    python-tempita
    python2-h5io
    python2-jdcal
    python2-six
    scipy

python3-mne (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-decorator
    python3-h5io
    python3-jdcal
    python3-matplotlib
    python3-numpy
    python3-scipy
    python3-six
    python3-tempita



Provides
--------
python2-mne:
    bundled(bootstrap)
    bundled(js-d3)
    bundled(js-jquery)
    bundled(js-jquery-ui)
    bundled(js-mpld3)
    bundled(python2-FieldTrip)
    python-mne
    python-mne(x86-64)
    python2-mne

python3-mne:
    bundled(bootstrap)
    bundled(js-d3)
    bundled(js-jquery)
    bundled(js-jquery-ui)
    bundled(js-mpld3)
    bundled(python3-FieldTrip)
    python3-mne



Source checksums
----------------
https://github.com/mne-tools/mne-python/archive/v0.10/python-mne-0.10.tar.gz :
  CHECKSUM(SHA256) this package     : 85c14c78ce91f7b48ccc16ccb41322d732247ef15996cc5782c108a8b114e1bb
  CHECKSUM(SHA256) upstream package : 85c14c78ce91f7b48ccc16ccb41322d732247ef15996cc5782c108a8b114e1bb


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1276880
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 12 Igor Gnatenko 2015-11-11 07:58:28 UTC
Those are used by bindir/mne in:
    cmd_path = op.join(mne_bin_dir, 'commands', 'mne_%s.py' % cmd)
    sys.exit(subprocess.call([sys.executable, cmd_path] + sys.argv[2:]))

so I can just remove shebangs and it will be ok. will do.

Comment 13 Igor Gnatenko 2015-11-11 08:17:35 UTC
New SRPM: https://ignatenkobrain.fedorapeople.org/neurofedora/python-mne-0.10-4.fc24.src.rpm
New SPEC: https://ignatenkobrain.fedorapeople.org/neurofedora/python-mne.spec

Fixed non-executable. Docs I will think after pushing to repo.

Comment 14 Julien Enselme 2015-11-11 20:29:59 UTC
I still get the non-executable errors. It is strange since I think your code to correct it is correct. Sadly, I don't have much time to dig into it today. Maybe tomorrow.

Comment 15 Igor Gnatenko 2015-11-11 20:49:37 UTC
For which scripts?

Comment 16 Julien Enselme 2015-11-11 21:07:17 UTC
All of them:

Rpmlint (from fedora review)
-------
Checking: python2-mne-0.10-4.fc24.noarch.rpm
          python3-mne-0.10-4.fc24.noarch.rpm
          python-mne-0.10-4.fc24.src.rpm
python2-mne.noarch: E: explicit-lib-dependency python-matplotlib
python2-mne.noarch: W: spelling-error Summary(en_US) Magnetoencephalography -> Electroencephalography, Electroencephalograph, Electroencephalogram
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_freeview_bem_surfaces.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_compare_fiff.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_watershed_bem.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_make_scalp_surfaces.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_maxfilter.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_bti2fiff.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_compute_proj_eog.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_coreg.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_flash_bem.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_report.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_browse_raw.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_flash_bem_model.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/stats/cluster_level.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_clean_eog_ecg.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_compute_proj_ecg.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_kit2fiff.py 644 /usr/bin/env
python2-mne.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mne/commands/mne_surf2bem.py 644 /usr/bin/env
python2-mne.noarch: W: no-manual-page-for-binary mne-2.7
python2-mne.noarch: W: no-manual-page-for-binary mne-2
python2-mne.noarch: W: no-manual-page-for-binary python2-mne
python3-mne.noarch: E: explicit-lib-dependency python3-matplotlib
python3-mne.noarch: W: spelling-error Summary(en_US) Magnetoencephalography -> Electroencephalography, Electroencephalograph, Electroencephalogram
python3-mne.noarch: W: invalid-url URL: http://martinos.org/mne/ timed out
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_make_scalp_surfaces.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_flash_bem.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_kit2fiff.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_bti2fiff.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_report.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_clean_eog_ecg.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_compare_fiff.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_watershed_bem.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_maxfilter.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_browse_raw.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/stats/cluster_level.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_compute_proj_ecg.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_flash_bem_model.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_surf2bem.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_freeview_bem_surfaces.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_coreg.py 644 /usr/bin/env
python3-mne.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/mne/commands/mne_compute_proj_eog.py 644 /usr/bin/env
python3-mne.noarch: W: no-manual-page-for-binary mne
python3-mne.noarch: W: no-manual-page-for-binary mne-3.4
python3-mne.noarch: W: no-manual-page-for-binary python3-mne
python3-mne.noarch: W: no-manual-page-for-binary mne-3
python-mne.src: W: spelling-error Summary(en_US) Magnetoencephalography -> Electroencephalography, Electroencephalograph, Electroencephalogram
python-mne.src:26: W: unversioned-explicit-provides bundled(bootstrap)
python-mne.src:27: W: unversioned-explicit-provides bundled(js-jquery)
python-mne.src:28: W: unversioned-explicit-provides bundled(js-jquery-ui)
python-mne.src:29: W: unversioned-explicit-provides bundled(js-d3)
python-mne.src:30: W: unversioned-explicit-provides bundled(js-mpld3)
python-mne.src:31: W: unversioned-explicit-provides bundled(python2-FieldTrip)
python-mne.src:64: W: unversioned-explicit-provides bundled(bootstrap)
python-mne.src:65: W: unversioned-explicit-provides bundled(js-jquery)
python-mne.src:66: W: unversioned-explicit-provides bundled(js-jquery-ui)
python-mne.src:67: W: unversioned-explicit-provides bundled(js-d3)
python-mne.src:68: W: unversioned-explicit-provides bundled(js-mpld3)
python-mne.src:69: W: unversioned-explicit-provides bundled(python3-FieldTrip)
python-mne.src:133: W: macro-in-comment %{SOURCE1}
python-mne.src: W: invalid-url Source0: https://github.com/mne-tools/mne-python/archive/v0.10/python-mne-0.10.tar.gz <urlopen error _ssl.c:584: The handshake operation timed out>
3 packages and 0 specfiles checked; 36 errors, 25 warnings.

Comment 17 Julien Enselme 2015-11-12 19:43:04 UTC
I found what the problem is: in the code you use to remove the shebang, you use two times %{modname} instead of one (see the attach patch).

Comment 18 Julien Enselme 2015-11-12 19:43:45 UTC
Created attachment 1093436 [details]
Correct the non-executable-scripts

Comment 19 Igor Gnatenko 2015-11-22 11:42:45 UTC
(In reply to Julien Enselme from comment #18)
> Created attachment 1093436 [details]
> Correct the non-executable-scripts

Thanks. Can you approve package if this is last issue. I will apply ur patch when will import package.

Comment 20 Julien Enselme 2015-11-22 13:06:00 UTC
> Can you approve package if this is last issue. I will apply ur patch when will import package.

Good for me. Package approved.

Comment 21 Gwyn Ciesla 2015-11-22 20:33:30 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-mne

Comment 22 Fedora Update System 2015-12-13 11:11:15 UTC
python-mne-0.10-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5c687cbb72

Comment 23 Fedora Update System 2015-12-14 15:50:09 UTC
python-mne-0.10-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-mne'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5c687cbb72

Comment 24 Fedora Update System 2015-12-28 22:58:21 UTC
python-mne-0.10-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.